Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class NullFilter

    java.lang.Object
      org.apache.fop.pdf.PDFFilter
          org.apache.fop.pdf.NullFilter

Direct Known Subclasses:
  CCFFilter, DCTFilter

public class NullFilter
extends PDFFilter

Null Filter class. The content is just passed through. The class is used to override the default Flate filter for debugging purposes.

Constructor Summary
`NullFilter()`

Method Summary
`java.io.OutputStream` | `applyFilter(java.io.OutputStream out)` Applies a filter to an OutputStream.
`PDFObject` | `getDecodeParms()` return a parameter dictionary for this filter, or null
`java.lang.String` | `getName()` return a PDF string representation of the filter, e.g. /FlateDecode

Methods inherited from class org.apache.fop.pdf.PDFFilter
`isApplied, isASCIIFilter, setApplied`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullFilter

    public NullFilter()

Method Detail

### getName

    public java.lang.String getName()

  return a PDF string representation of the filter, e.g. /FlateDecode

  Specified by:
    `getName` in class `PDFFilter`
  Returns:
    the filter PDF name

### getDecodeParms

    public PDFObject getDecodeParms()

  return a parameter dictionary for this filter, or null

  Specified by:
    `getDecodeParms` in class `PDFFilter`
  Returns:
    the decode params for the filter

### applyFilter

    public java.io.OutputStream applyFilter(java.io.OutputStream out)
                                     throws java.io.IOException

  Applies a filter to an OutputStream.

  Specified by:
    `applyFilter` in class `PDFFilter`
  Parameters:
    `out` - contents to be filtered
  Returns:
    OutputStream filtered contents
  Throws:
    `java.io.IOException` - In case of an I/O problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.